@echo off

rem
rem  CD Direct Load 婲摦梡兽抬操
rem     Flexa 偺桳柍偵傛偭偰丄婲摦偡傞 CDLoader 偺碧哓傪愗傝懼偊傑偡
rem

rem 婲摦偟偰偄傞话宿絺饘煃鮽祩膩AFlexa 偑婲摦偟偰偄傞偐偳偆偐敾抐偡傞

@if not "%~0"=="%~dp0.\%~nx0" (
start /min cmd /c,"%~dp0.\%~nx0" %*
goto :eof
)

winVerChk
@if "%ERRORLEVEL%" == "6" goto flexa_file_chk

:service_chk
	svcFind "FNC Protocol Server" "FNC Protocol Client" "FNC Line Monitor Setup Service"
goto exec

:flexa_file_chk
	flexaChk

:exec

@if "%ERRORLEVEL%" == "0" goto cd_loader

:cd_loader_flexa
	echo CD_Loader_Flexa
	cdLoaderFlexa.exe
	goto end

:cd_loader
	echo CD_Loader
	CDLoaderIP.exe
	goto end

:end
